DefaultFTreeModel
Keywords: com.fg.ftree.DefaultFTreeModel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.ftree
Class DefaultFTreeModel

    java.lang.Object
      com.fg.ftree.DefaultFTreeModel

All Implemented Interfaces:
  FTreeModel

Direct Known Subclasses:
  FXDocumentModelImpl

public class DefaultFTreeModel
extends java.lang.Object
implements FTreeModel

A simple implementation of the `FTreeModel` interface that uses tree of nodes which implement javax.swing.tree.TreeNode interface.

Version:
  2.0
Author:
  Felix Golubov

Constructor Summary
`DefaultFTreeModel()`
`DefaultFTreeModel(javax.swing.tree.TreeNode root)`

Method Summary
`void` | `addTreeModelListener(FTreeModelListener l)`
`void` | `fireTreeModelDataChanged(boolean restructured)`
`boolean` | `getAllowsChildren(java.lang.Object node)`
`java.lang.Object` | `getChild(java.lang.Object parent, int index)`
`int` | `getChildCount(java.lang.Object parent)`
`java.lang.Object` | `getRoot()`
`void` | `removeTreeModelListener(FTreeModelListener l)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultFTreeModel

    public DefaultFTreeModel()

### DefaultFTreeModel

    public DefaultFTreeModel(javax.swing.tree.TreeNode root)

Method Detail

### getRoot

    public java.lang.Object getRoot()

  Specified by:
    `getRoot` in interface `FTreeModel`

### getChild

    public java.lang.Object getChild(java.lang.Object parent,
                                     int index)

  Specified by:
    `getChild` in interface `FTreeModel`

### getChildCount

    public int getChildCount(java.lang.Object parent)

  Specified by:
    `getChildCount` in interface `FTreeModel`

### getAllowsChildren

    public boolean getAllowsChildren(java.lang.Object node)

  Specified by:
    `getAllowsChildren` in interface `FTreeModel`

### addTreeModelListener

    public void addTreeModelListener(FTreeModelListener l)

  Specified by:
    `addTreeModelListener` in interface `FTreeModel`

### removeTreeModelListener

    public void removeTreeModelListener(FTreeModelListener l)

  Specified by:
    `removeTreeModelListener` in interface `FTreeModel`

### fireTreeModelDataChanged

    public void fireTreeModelDataChanged(boolean restructured)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD